=== modified file 'bzrtools.py'
--- bzrtools.py	2005-10-19 20:14:54 +0000
+++ bzrtools.py	2005-10-29 21:29:55 +0000
@@ -60,10 +60,7 @@
         if file_class in ('?', 'I'):
             non_source.append(path)
     delta = compare_trees(old_tree, new_tree, want_unchanged=False)
-    if len(delta.added) > 0 or len(delta.removed) > 0 or \
-        len(delta.modified) > 0:
-        return False, non_source
-    return True, non_source 
+    return not delta.has_changed(), non_source
 
 def set_pull_data(br, location, rev_id):
     pull_file = file (br.controlfilename("x-pull-data"), "wb")

=== modified file 'dotgraph.py'
--- dotgraph.py	2005-09-23 00:49:22 +0000
+++ dotgraph.py	2005-10-29 18:40:48 +0000
@@ -1,4 +1,20 @@
-#!/usr/bin/env python2.4
+# Copyright (C) 2004, 2005 Aaron Bentley
+# <aaron.bentley@utoronto.ca>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 from subprocess import Popen, PIPE
 from urllib import urlencode
 from xml.sax.saxutils import escape

=== modified file 'errors.py'
--- errors.py	2005-08-09 13:12:05 +0000
+++ errors.py	2005-10-29 18:40:48 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2005 Aaron Bentley
+# <aaron.bentley@utoronto.ca>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 class NoPyBaz(Exception):
     def __init__(self):
         Exception.__init__(self, "PyBaz is not installed.")

=== modified file 'graph.py'
--- graph.py	2005-10-28 03:16:25 +0000
+++ graph.py	2005-10-30 03:51:19 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2005 Aaron Bentley
+# <aaron.bentley@utoronto.ca>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 from dotgraph import Node, dot_output, invoke_dot, invoke_dot_aa, NoDot, NoRsvg
 from dotgraph import RSVG_OUTPUT_TYPES, DOT_OUTPUT_TYPES, Edge, invoke_dot_html
 from bzrlib.branch import Branch

=== modified file 'patch.py'
--- patch.py	2005-10-28 04:16:32 +0000
+++ patch.py	2005-10-30 03:51:19 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2005 Aaron Bentley
+# <aaron.bentley@utoronto.ca>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 import sys
 from subprocess import Popen, PIPE
 from bzrlib.transport import get_transport

=== modified file 'setup.py'
--- setup.py	2005-10-19 19:07:04 +0000
+++ setup.py	2005-10-29 18:40:34 +0000
@@ -1,9 +1,10 @@
 from distutils.core import setup
 setup(name="BzrTools",
-      version="0.1.1",
+      version="0.6",
       description="Handy utilities for working with BZR(Bazaar-NG).",
       author="Aaron Bentley",
       author_email="aaron.bentley@utoronto.ca",
+      license = "GNU GPL v2"
       url="http://bazaar.canonical.com/BzrTools",
       packages=['bzrlib.plugins.bzrtools'],
       package_dir={'bzrlib.plugins.bzrtools': '.'})

